A little more info --
Looks like the JDK compliance level may be the culprit; we had to ensure this was set to 1.3, even though we compile with 1.4 (due to our client code being 1.4).